Description

Specifically:

-create (save new package)

-update (save another revision of same package)
-read (open by id)

-search (will be disabled and fail gracefully)

Optionally:
-try to create a scenario where there is an identifier conflict on the server and we need to call MN.generateldentifier() to resolve it. |
am not even sure GMN has this implemented, but Roger Dahl will know.

Related issues:

Blocks Morpho - Bug #5800: Search support should degrade gracefully when MN.q... Resolved 01/23/2013
Blocks Metacat - Bug #5840: Implement MN.generateldentifier with UUID scheme Resolved 01/31/2013
History

#1 - 01/25/2013 05:39 PM - Jing Tao
| created a simple data package by the new data package wizard, then saved it to a GMN node https://mn-stage-orc-1.test.dataone.org/mn.

It gave me an error:

org.dataone.service.exceptions.InvalidSystemMetadata: Object size in System Metadata (637 bytes) does not match that of the uploaded object (629
bytes)

Does a metadata node compare the size as well?

#2 - 01/25/2013 10:17 PM - ben leinfelder
This (system metadata byte size vs actual) will be interesting. | wonder if it will always be 8 bytes different. One of us is incorrect... | do not believe
Metacat checks this.

In a related note, | made the error message dialog use a scrollable text area and that seems to prevent the window manager in Morpho from
panicking when GMN sends back that diagnostic error message.

#3 - 01/28/2013 11:37 AM - ben leinfelder

We were not recalculating size and checksum of the EML before saving. Now we are.

#4 - 01/31/2013 03:11 PM - Jing Tao

Jing: it is sort of working

benMac: what was the issue?

Jing: i can insert an eml and eml with an entity.
Jing: but when i updated eml and get an error:
Jing: Problem Saving package:

Jing: Only the UUID scheme is currently supported

Jing: And the search doesn't work at all.

#5 - 01/31/2013 03:34 PM - ben leinfelder

| have changed Morpho to call MN.generateldentifier() with the UUID scheme as the default so it should work with GMN. Metacat does not implement
UUID, but ignores the scheme and provides its own generated identifier (autogen.timestamp, or fragment.timestamp if the fragment parameter is
included). We should make Metacat support UUID but for the time being this will "work".
#6 - 01/31/2013 04:59 PM - Jing Tao

| created a data package with an entity by the new data package and entity wizards. Then saved it to the network.

| added a new row in the entity and save it to the network and get the error:
Problem Saving package:

Object size in System Metadata (8 bytes) does not match that of the uploaded object (26 bytes)

So the entity system metadata doesn't have the correct number after the updating.

#7 - 01/31/2013 05:30 PM - Jing Tao

| add code to calculate the data file size and checksum in the DataViewer class. Now, the saving passed the issue of non-matching the size.
However, i got another error:

Problem Saving package:

class javax.net.ssl.SSLPeerUnverifiedException: peer not authenticated

This is very weird error. | can insert eml data package and update it with the same session (the same certificate). Why it gave me this error?

#8 - 02/01/2013 10:07 AM - Jing Tao

The file size not-match issue for the eml comes back again. Ben, did you change something? | will take a look.

#9 - 02/01/2013 02:34 PM - Jing Tao

After we started to use UUID, we assign a UUID to the package when we start to use the new data package wizard. Before this, we use a temp.x id.
The UUID are stored in the incomplete directory when we are using the new package wizard. During the saving, morpho uses the file (with the uuid)
in the incomplete dir to upload to the network. But the size in the system metadata was calculated by the DOM mode. So they are not the same. The
issue is fixed.

#10 - 02/12/2013 06:07 PM - Jing Tao

There is no any particular issue for the the GMN. So i close it.

#11 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5801
